Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1099415 - [Python/Java SDK]HostNICLabel.add and NetworkLabel.add methods lacks expect and correlation_id parameters
Summary: [Python/Java SDK]HostNICLabel.add and NetworkLabel.add methods lacks expect a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Juan Hernández
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks: 1101531 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-20 09:13 UTC by Meni Yakove
Modified: 2016-02-10 19:50 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1101531 (view as bug list)
Environment:
Last Closed: 2015-02-11 21:13:37 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0183 normal SHIPPED_LIVE rhevm-sdk-python bug fix and enhancement update 2015-02-12 01:36:21 UTC
oVirt gerrit 27946 master MERGED restapi: No trailing / in network labels metadata Never

Description Meni Yakove 2014-05-20 09:13:23 UTC
Description of problem:
HostNICLabel.add and NetworkLabel.add methods lacks expect and correlation_id parameters

Comment 1 Juan Hernández 2014-05-20 19:23:41 UTC
This happens because the metadata for operations to add network labels contains an extra slash at the end of the URL. That means that the RSDL generator ignores that metadata. As a result the generated RSDL document and the SDKs aren't complete.

The proposed change fixes the metadata. After that the SDKs will need to be regenerated.

Comment 2 Juan Hernández 2014-05-21 09:01:55 UTC
This issue has been fixed in the RESTAPI. To have it completely fixed the SDKs need to be regenerated. The fix will be available in the next downstrem 3.5 builds of the SDKs.

Comment 5 Juan Hernández 2014-05-21 11:52:27 UTC
We can easily backport this to 3.4.z. Please clone the bug.

Comment 7 GenadiC 2014-07-08 09:35:35 UTC
Verified in 3.5.0-0.0.master.20140629172257.git0b16ed7.el6

Comment 9 errata-xmlrpc 2015-02-11 21:13:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0183.html


Note You need to log in before you can comment on or make changes to this bug.